Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.style
Class UseWhenStaticContext

    java.lang.Object
      net.sf.saxon.style.UseWhenStaticContext

All Implemented Interfaces:
  StaticContext, XSLTStaticContext

    public class UseWhenStaticContext

extends Object
implements XSLTStaticContext

This class implements the static context used for evaluating use-when expressions in XSLT 2.0

Field Summary
`String` | `baseURI`
`Configuration` | `config`
`String` | `defaultXPathNamespace`
`FunctionLibrary` | `functionLibrary`
`LocationMap` | `locationMap`
`NamespaceResolver` | `namespaceContext`
`StyleNodeFactory` | `nodeFactory`

Constructor Summary
`UseWhenStaticContext(Configuration config, NamespaceResolver namespaceContext)`

Method Summary
`VariableReference` | `bindVariable(int fingerprint)` Bind a variable used in this element to the XSLVariable element in which it is declared
`String` | `getBaseURI()` Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression.
`StringCollator` | `getCollation(String name)` Get a named collation.
`Configuration` | `getConfiguration()` Get the system configuration
`String` | `getDefaultCollationName()` Get the name of the default collation.
`String` | `getDefaultElementNamespace()` Get the default XPath namespace for elements and types Return NamespaceConstant.NULL for the non-namespace
`String` | `getDefaultFunctionNamespace()` Get the default function namespace
`FunctionLibrary` | `getFunctionLibrary()` Get the function library containing all the in-scope functions available in this static context
`Set` | `getImportedSchemaNamespaces()` Get the set of imported schemas
`int` | `getLineNumber()` Get the line number of the expression within its containing entity Returns -1 if no line number is available
`LocationMap` | `getLocationMap()` Get the location map
`NamePool` | `getNamePool()` Get the NamePool used for compiling expressions
`NamespaceResolver` | `getNamespaceResolver()` Get a namespace resolver to resolve the namespaces declared in this static context.
`String` | `getSystemId()` Get the System ID of the container of the expression.
`String` | `getURIForPrefix(String prefix)` Get the URI for a namespace prefix.
`boolean` | `isAllowedBuiltInType(AtomicType type)` Determine whether a built-in type is available in this context.
`boolean` | `isElementAvailable(String qname)` Determine if an extension element is available
`boolean` | `isImportedSchema(String namespace)` Determine whether a Schema for a given target namespace has been imported.
`boolean` | `isInBackwardsCompatibleMode()` Determine whether Backwards Compatible Mode is used
`void` | `issueWarning(String s, SourceLocator locator)` Issue a compile-time warning
`XPathContext` | `makeEarlyEvaluationContext()` Construct a dynamic context for early evaluation of constant subexpressions
`void` | `setBaseURI(String uri)` Set the base URI
`void` | `setDefaultElementNamespace(String uri)` Set the default namespace for elements and types

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    public Configuration config

### namespaceContext

    public NamespaceResolver namespaceContext

### functionLibrary

    public FunctionLibrary functionLibrary

### locationMap

    public LocationMap locationMap

### nodeFactory

    public StyleNodeFactory nodeFactory

### baseURI

    public String baseURI

### defaultXPathNamespace

    public String defaultXPathNamespace

Constructor Detail

### UseWhenStaticContext

    public UseWhenStaticContext(Configuration config,
                                NamespaceResolver namespaceContext)

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the system configuration

  Specified by:
    `getConfiguration` in interface `StaticContext`

### makeEarlyEvaluationContext

    public XPathContext makeEarlyEvaluationContext()

  Construct a dynamic context for early evaluation of constant subexpressions

  Specified by:
    `makeEarlyEvaluationContext` in interface `StaticContext`

### getLocationMap

    public LocationMap getLocationMap()

  Get the location map

  Specified by:
    `getLocationMap` in interface `StaticContext`

### issueWarning

    public void issueWarning(String s,
                             SourceLocator locator)

  Issue a compile-time warning

  Specified by:
    `issueWarning` in interface `StaticContext`

### getSystemId

    public String getSystemId()

  Get the System ID of the container of the expression. This is the containing entity (file) and is therefore useful for diagnostics. Use getBaseURI() to get the base URI, which may be different.

  Specified by:
    `getSystemId` in interface `StaticContext`

### getLineNumber

    public int getLineNumber()

  Get the line number of the expression within its containing entity Returns -1 if no line number is available

  Specified by:
    `getLineNumber` in interface `StaticContext`

### getBaseURI

    public String getBaseURI()

  Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression. Used by the document(), doc(), resolve-uri(), and base-uri() functions. May return null if the base URI is not known.

  Specified by:
    `getBaseURI` in interface `StaticContext`

### getURIForPrefix

    public String getURIForPrefix(String prefix)
                           throws XPathException

  Get the URI for a namespace prefix. The default namespace is NOT used when the prefix is empty.

  Specified by:
    `getURIForPrefix` in interface `StaticContext`
  Parameters:
    `prefix` - The prefix
  Throws:
    `XPathException` - if the prefix is not declared

### getNamePool

    public NamePool getNamePool()

  Get the NamePool used for compiling expressions

  Specified by:
    `getNamePool` in interface `StaticContext`

### bindVariable

    public VariableReference bindVariable(int fingerprint)
                                   throws StaticError

  Bind a variable used in this element to the XSLVariable element in which it is declared

  Specified by:
    `bindVariable` in interface `StaticContext`
  Parameters:
    `fingerprint` - the name of the variable
  Returns:
    a VariableReference representing the variable reference, suitably initialized to refer to the corresponding variable declaration
  Throws:
    `StaticError`

### getFunctionLibrary

    public FunctionLibrary getFunctionLibrary()

  Get the function library containing all the in-scope functions available in this static context

  Specified by:
    `getFunctionLibrary` in interface `StaticContext`

### getCollation

    public StringCollator getCollation(String name)

  Get a named collation.

  Specified by:
    `getCollation` in interface `StaticContext`
  Parameters:
    `name` - The name of the required collation. Supply null to get the default collation.
  Returns:
    the collation; or null if the required collation is not found.

### getDefaultCollationName

    public String getDefaultCollationName()

  Get the name of the default collation.

  Specified by:
    `getDefaultCollationName` in interface `StaticContext`
  Returns:
    the name of the default collation; or the name of the codepoint collation if no default collation has been defined

### getDefaultElementNamespace

    public String getDefaultElementNamespace()

  Get the default XPath namespace for elements and types Return NamespaceConstant.NULL for the non-namespace

  Specified by:
    `getDefaultElementNamespace` in interface `StaticContext`

### getDefaultFunctionNamespace

    public String getDefaultFunctionNamespace()

  Get the default function namespace

  Specified by:
    `getDefaultFunctionNamespace` in interface `StaticContext`

### isInBackwardsCompatibleMode

    public boolean isInBackwardsCompatibleMode()

  Determine whether Backwards Compatible Mode is used

  Specified by:
    `isInBackwardsCompatibleMode` in interface `StaticContext`

### isImportedSchema

    public boolean isImportedSchema(String namespace)

  Determine whether a Schema for a given target namespace has been imported. Note that the in-scope element declarations, attribute declarations and schema types are the types registered with the (schema-aware) configuration, provided that their namespace URI is registered in the static context as being an imported schema namespace. (A consequence of this is that within a Configuration, there can only be one schema for any given namespace, including the null namespace).

  Specified by:
    `isImportedSchema` in interface `StaticContext`

### getImportedSchemaNamespaces

    public Set getImportedSchemaNamespaces()

  Get the set of imported schemas

  Specified by:
    `getImportedSchemaNamespaces` in interface `StaticContext`
  Returns:
    a Set, the set of URIs representing the names of imported schemas

### isAllowedBuiltInType

    public boolean isAllowedBuiltInType(AtomicType type)

  Determine whether a built-in type is available in this context. This method caters for differences between host languages as to which set of types are built in.

  Specified by:
    `isAllowedBuiltInType` in interface `StaticContext`
  Parameters:
    `type` - the supposedly built-in type. This will always be a type in the XS or XDT namespace.
  Returns:
    true if this type can be used in this static context

### getNamespaceResolver

    public NamespaceResolver getNamespaceResolver()

  Get a namespace resolver to resolve the namespaces declared in this static context.

  Specified by:
    `getNamespaceResolver` in interface `StaticContext`
  Returns:
    a namespace resolver.

### isElementAvailable

    public boolean isElementAvailable(String qname)
                               throws XPathException

  Determine if an extension element is available

  Specified by:
    `isElementAvailable` in interface `XSLTStaticContext`
  Throws:
    `XPathException` - if the name is invalid or the prefix is not declared

### setBaseURI

    public void setBaseURI(String uri)

  Set the base URI

### setDefaultElementNamespace

    public void setDefaultElementNamespace(String uri)

  Set the default namespace for elements and types

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.